%define upstream_name    Perl-Critic-Lax
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Policies that let you slide on common exceptions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Perl::Critic) >= 1.88.0
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitLeadingZeros)
BuildRequires: perl(Perl::Critic::TestUtils)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The Perl-Critic-Lax distribution includes versions of core Perl::Critic
modules with built-in exceptions. If you really like a Perl::Critic policy,
but find that you often violate it in a specific way that seems pretty darn
reasonable, maybe there's a Lax policy. If there isn't, send one in!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.14.0-2.mga10
+ Revision: 2217113
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.14.0-1.mga9
+ Revision: 1929021
- update to 0.014

* Mon Mar 21 2022 umeabot <umeabot> 0.13.0-5.mga9
+ Revision: 1810038
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.13.0-4.mga8
+ Revision: 1505969
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.13.0-3.mga7
+ Revision: 1285712
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.13.0-2.mga7
+ Revision: 1166149
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.13.0-1.mga7
+ Revision: 1157930
- update to 0.013

* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-6.mga6
+ Revision: 1031964
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.11.0-5.mga6
+ Revision: 949503
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.11.0-4.mga5
+ Revision: 790002
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-3.mga5
+ Revision: 739791
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jul 11 2014 sander85 <sander85> 0.11.0-1.mga5
+ Revision: 651267
- update to 0.011

* Mon Oct 21 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 541104
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 495129
- update to 0.010

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 371670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.9.0-1.mga3
+ Revision: 295035
- update to 0.009

* Mon Jan 24 2011 jquelin <jquelin> 0.8.0-1.mga1
+ Revision: 37164
- mageia rebuild
- imported package perl-Perl-Critic-Lax

